[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [torsocks/master] Replace Makefile.cvs with autogen.sh
commit 3205b8fd332024bb693df84af6511a804b39bb4a
Author: Robert Hogan <robert@xxxxxxxxxxxxxxx>
Date: Tue Feb 22 19:13:09 2011 +0000
Replace Makefile.cvs with autogen.sh
There, that wasn't so hard - was it. Autogen.sh stolen from tor.
---
Makefile.cvs | 8 --------
autogen.sh | 13 +++++++++++++
2 files changed, 13 insertions(+), 8 deletions(-)
diff --git a/Makefile.cvs b/Makefile.cvs
deleted file mode 100644
index d160702..0000000
--- a/Makefile.cvs
+++ /dev/null
@@ -1,8 +0,0 @@
-default: all
-
-all:
- aclocal
- autoheader
- automake
- autoconf
-
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0592f16
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if [ -x "`which autoreconf 2>/dev/null`" ] ; then
+ exec autoreconf -ivf
+fi
+
+set -e
+
+# Run this to generate all the initial makefiles, etc.
+aclocal && \
+ autoheader && \
+ autoconf && \
+ automake --add-missing --copy
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits